=== modified file 'NEWS'
--- NEWS	2007-07-30 17:06:48 +0000
+++ NEWS	2007-07-31 02:07:34 +0000
@@ -113,6 +113,9 @@
 
     * KnitIndex.get_parents now returns tuples. (Robert Collins)
 
+    * Ancient unused ``Repository.text_store`` attribute has been removed.
+      (Robert Collins)
+
   INTERNALS:
 
     * merge now uses ``iter_changes`` to calculate changes, which makes room for

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2007-07-15 10:44:12 +0000
+++ bzrlib/bzrdir.py	2007-07-31 02:07:34 +0000
@@ -1950,7 +1950,7 @@
                 ie.revision = previous_ie.revision
                 return
         if ie.has_text():
-            text = self.branch.repository.text_store.get(ie.text_id)
+            text = self.branch.repository.weave_store.get(ie.text_id)
             file_lines = text.readlines()
             assert sha_strings(file_lines) == ie.text_sha1
             assert sum(map(len, file_lines)) == ie.text_size

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2007-07-25 00:52:21 +0000
+++ bzrlib/repository.py	2007-07-31 02:07:34 +0000
@@ -221,7 +221,6 @@
         self.bzrdir = a_bzrdir
         self.control_files = control_files
         self._revision_store = _revision_store
-        self.text_store = text_store
         # backwards compatibility
         self.weave_store = text_store
         # not right yet - should be more semantically clear ? 

=== modified file 'bzrlib/tests/test_upgrade.py'
--- bzrlib/tests/test_upgrade.py	2007-03-06 01:15:08 +0000
+++ bzrlib/tests/test_upgrade.py	2007-07-31 02:07:34 +0000
@@ -127,7 +127,7 @@
         # 'dir-20051005095101-da1441ea3fa6917a'
         self.assertNotEqual(
             [],
-            repo.text_store.get_weave(
+            repo.weave_store.get_weave(
                 'dir-20051005095101-da1441ea3fa6917a',
                 repo.get_transaction()))
 

